#ifndef PARAMSWIDGETCOVERAGEDRIVENLM_H
#define PARAMSWIDGETCOVERAGEDRIVENLM_H

#include "paramswidget.h"

namespace Ui {
class ParamsWidgetCoverageDrivenLm;
}

class ParamsWidgetCoverageDrivenLm : public ParamsWidget
{
    Q_OBJECT

public:
    explicit ParamsWidgetCoverageDrivenLm(QWidget *parent = 0);
    ~ParamsWidgetCoverageDrivenLm();
    virtual SummAlgorithmParams *getParams();
    virtual void setParams(SummAlgorithmParams *);

private slots:
    void on_segmentLengthInput_valueChanged(int arg1);
    void on_segmentsCountInput_valueChanged(int arg1);
    void on_featureRowInput_valueChanged(int arg1);

private:
    Ui::ParamsWidgetCoverageDrivenLm *ui;
};

#endif // PARAMSWIDGETCOVERAGEDRIVENLM_H
